%define php_extdir %(php-config --extension-dir 2>/dev/null || echo %{_libdir}/php4)

Name:           php-pecl-imagick
Version:        2.0.1
Release:        1%{?dist}
Summary:        Provides a wrapper to the ImageMagick/GraphicsMagick library.

Group:          Development/Languages
License:        PHP
URL:            http://pecl.php.net/package/imagick
Source0:        http://pecl.php.net/get/imagick-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  php-devel, GraphicsMagick-devel
Requires:       php
# Required by phpize
BuildRequires: autoconf, automake, libtool, gcc-c++

%description
It's a native php-extension.
See the examples in the examples/ directory for some hints on how to use it.
A compiled windows extension is available at http://kromann.info/pear-pecl.php .
You need the ImageMagick libraries from www.imagemagick.org or GraphicsMagick libraries from
http://www.graphicsmagick.org/ to get it running.
ImageMagick 6 support is EXPERIMENTAL. Please report successes or failures.

%prep
%setup -q -n imagick-%{version}


%build
phpize
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/imagick.ini << 'EOF'
; Enable imagick (ImageMagick) extension module
extension=imagick.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CREDITS
%config(noreplace) %{_sysconfdir}/php.d/imagick.ini
%{php_extdir}/imagick*


%changelog
* Fri May 26 2006 Jan ONDREJ <ondrejj(at)salstar.sk>
- Initial RPM release.
